#!/usr/bin/env python
# vim: set ts=4 sts=4 sw=4 textwidth=92:

import PAR2Set.ExtractFirstBase
import PAR2Set.OldRAR
import rsutil.common

#
# This is an old-style rar type
#
# It will detect sets like the following:
# X.par2
# X.vol0+1.par2
# X.vol1+2.par2
# X.rar
# X.r00
# X.r01
#
# OR
#
# ABC.rar
# ABC.r00
# ABC.r01
#
# Where the PAR2 files protect all files that do not match in basename
# with the PAR2 file itself.
#

def detector (name_files, prot_files):
	return rsutil.common.has_a_match ('^.*\.r00$', name_files) \
			and not rsutil.common.has_a_match ('^.*\.r00$', prot_files)


class ExtractFirstOldRAR (PAR2Set.ExtractFirstBase.ExtractFirstBase, \
		PAR2Set.OldRAR.OldRAR):

	def __repr__ (self):
		return 'EXTRACTFIRST OLDRAR'

